欢迎光临,嵌入式开源博客

ubuntu16.04 安装低版本openjdk

在编译android 源码的时候会依赖openjdk 1.7x

但ubuntu 16.04自带openjdk为1.8.X版本,通过apt-get install 方法提示没有 openjdk-7-jdk包

可以通过以下命令安装

add-apt-repository ppa:openjdk-r/ppa
apt-get update
apt-get install openjdk-7-jdk
安装成功后还是不能用,有多个版本通过下列命令选出正确的版本。

update-alternatives –config java
update-alternatives –config javac

赞(0) 打赏
未经允许不得转载:Huangea Blog 嵌入式博客 » ubuntu16.04 安装低版本openjdk
分享到: 更多 (0)

评论 抢沙发

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址

一个很有意思的网站

留言板友链

觉得文章有用就打赏一下文章作者

支付宝扫一扫打赏

微信扫一扫打赏